FreeMat

- Main Page
- Related Pages

vtkInformationDataObjectKey

Section: Visualization Toolkit Common Classes

# Usage

vtkInformationDataObjectKey is used to represent keys in vtkInformation for values that are vtkDataObject instances.

To create an instance of class vtkInformationDataObjectKey, simply invoke its constructor as follows

      obj = vtkInformationDataObjectKey

# Methods

The class vtkInformationDataObjectKey has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInformationDataObjectKey class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInformationDataObjectKey = obj.NewInstance ()`
- `vtkInformationDataObjectKey = obj.SafeDownCast (vtkObject o)`
- `vtkInformationDataObjectKey = obj.(string name, string location)`
- `~vtkInformationDataObjectKey = obj.()`
- `obj.ShallowCopy (vtkInformation from, vtkInformation to)` - Copy the entry associated with this key from one information object to another. If there is no entry in the first information object for this key, the value is removed from the second.
- `obj.Report (vtkInformation info, vtkGarbageCollector collector)` - Report a reference this key has in the given information object.